@echo off

ECHO .
ECHO . BUILDING AGCNORM...
ECHO .

PAUSE

set name=agcnorm

if not exist build mkdir build
if not exist build echo Could not create build directory & goto eof
pushd build

ECHO .
ECHO . Copying source files...
ECHO .

xcopy /y ..\source\*.vhd
copy ..\%name%.ucf
copy ..\%name%.ut
copy ..\%name%.scr
copy ..\%name%.prj

ECHO .
ECHO . Running xst...
ECHO .

xst -ifn %name%.scr -ofn %name%.srp 2>&1 >%name%.log

IF %ERRORLEVEL% GTR 0 goto NotOK

ECHO .
ECHO . Running ngdbuild...
ECHO .

ngdbuild -nt on -uc %name%.ucf %name%.ngc %name%.ngd 2>&1 >>%name%.log

IF %ERRORLEVEL% GTR 0 goto NotOK

ECHO .
ECHO . Running map...
ECHO .

map -pr b %name%.ngd -o %name%.ncd %name%.pcf 2>&1 >>%name%.log

IF %ERRORLEVEL% GTR 0 goto NotOK

ECHO .
ECHO . Running par...
ECHO .

par -w -ol high %name%.ncd %name%.ncd %name%.pcf 2>&1 >>%name%.log

IF %ERRORLEVEL% GTR 0 goto NotOK

ECHO .
ECHO . Running trce...
ECHO .

trce -v 10 -o %name%.twr %name%.ncd %name%.pcf 2>&1 >>%name%.log

IF %ERRORLEVEL% GTR 0 goto NotOK

ECHO .
ECHO . Running bitgen...
ECHO .

bitgen %name%.ncd %name%.bit -f %name%.ut 2>&1 >>%name%.log


IF %ERRORLEVEL% GTR 0 goto NotOK

ECHO .
ECHO . Running promgen...
ECHO .

promgen -x xcf04s -p mcs -w -o %name%.mcs -u 0 %name%.bit 2>&1 >>%name%.log

IF %ERRORLEVEL% GTR 0 goto NotOK

ECHO .
ECHO . Completed without detectable errors.
ECHO .

:NotOK

ECHO .
ECHO . Review logfile...
ECHO .

DIR %name%.bit %name%.mcs >>%name%.log

notepad %name%.log

popd

ECHO .
ECHO . Finished.
ECHO .

:eof

PAUSE

